--Sp-停站补充
function c87593006.initial_effect(c)
	--recover
	local e1=Effect.CreateEffect(c)
	e1:SetType(EFFECT_TYPE_ACTIVATE)
	e1:SetCategory(CATEGORY_RECOVER)
	e1:SetProperty(EFFECT_FLAG_PLAYER_TARGET)
	e1:SetCode(EVENT_FREE_CHAIN)
	e1:SetTarget(c87593006.tg)
	e1:SetOperation(c87593006.op)
	c:RegisterEffect(e1)
end
function c87593006.tg(e,tp,eg,ep,ev,re,r,rp,chk)
	local f=Duel.GetMatchingGroup(Card.IsCode,tp,LOCATION_ONFIELD,LOCATION_ONFIELD,nil,87593200):GetFirst()
	if f:GetControler()==tp then cou=0x871 else cou=0x872 end
	if chk==0 then return f:GetCounter(cou)>0 end
	Duel.SetOperationInfo(0,CATEGORY_RECOVER,nil,0,tp,nil)
end
function c87593006.op(e,tp,eg,ep,ev,re,r,rp)
	local f=Duel.GetMatchingGroup(Card.IsCode,tp,LOCATION_ONFIELD,LOCATION_ONFIELD,nil,87593200):GetFirst()
	if f:GetControler()==tp then cou=0x871 else cou=0x872 end
	local ct=f:GetCounter(cou)
	if f:RemoveCounter(tp,cou,ct,0) then
	Duel.Recover(tp,ct*600,REASON_EFFECT)
	end
end
